Update Bank Account

Update an existing bank account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

Unique identifier (UUID) of the bank account.

Body Params

Common bank account properties shared between request and response.

string
required

Bank account number (e.g., IBAN).

string
required

Name of the bank.

string
required

SWIFT/BIC code of the bank.

string
required
length between 2 and 2

Two-letter country code (ISO 3166-1 alpha-2) of the bank.

string
required

Physical address of the bank.

string
enum

Type of bank routing code. Required based on currency and country:

  • aba - Required when currency = "USD" and bank_country_code = "US"
  • bank_code - Required when currency = "CAD" or currency = "HKD"
  • sort_code - Required when currency = "GBP"
  • bsb_code - Required when currency = "AUD"
  • ifsc - Required when currency = "INR"
  • cnaps_number - Required when currency = "CNH" and bank_country_code = "CN"
Show Details
abaABA routing number for USD transfers in the US
bank_codeBank code for CAD or HKD transfers
sort_codeSort code for GBP transfers in the UK
bsb_codeBSB code for AUD transfers in Australia
ifscIFSC code for INR transfers in India
cnaps_numberCNAPS number for CNH transfers in China
Allowed:
string

The bank identifier value. The required format depends on the selected bank_code_type.

Accepted formats by bank_code_type:

  • aba: Exactly 9 digits.
  • bank_code: Exactly 3 digits.
  • sort_code: Exactly 6 digits.
  • bsb_code: Exactly 6 digits.
  • ifsc: Exactly 11 characters in the format:
    • First 4 characters: letters (A–Z)
    • 5th character: the digit 0
    • Last 6 characters: letters (A–Z) or digits (0–9)
  • cnaps_number: Exactly 12 digits.
string

Bank branch code. Required when currency = "CAD".

Headers
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

uuid
required

A unique identifier (UUID) used to maintain operation idempotency, ensuring that repeated executions of the same operation do not result in unintended effects or duplication. It helps preserve data consistency in the face of network errors, retries, or failures.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json